      subroutine fanSnapshot(rhoL,momL,rhoR,momR,dir,xM,time)
      implicit none

c     Input:
      real*8 rhoL,momL,rhoR,momR
      real*8 xM,time
      integer dir
c     Output:
      real*8 x,rho,mom
c     Auxiliary:
      integer Npoints,i
      parameter (Npoints = 100)
      real*8 invParalL,invParalR,invParal,invCrossL,invCrossR,invCross
      real*8 dInvParal
      integer dirCross
      real*8 st2inv,st2char

      invParalL = st2inv(rhoL,momL,dir)
      invParalR = st2inv(rhoR,momR,dir)

      dirCross = -dir
      invCrossL = st2inv(rhoL,momL,dirCross)
      invCrossR = st2inv(rhoR,momR,dirCross)

      invCross = 0.5d0*(invCrossL+invCrossR)

      dInvParal = (invParalR - invParalL)/Npoints

      do i=0,Npoints
         invParal = invParalL + dInvParal*i

         call inv2st(invCross,invParal, dir, rho,mom)
         x = xM + st2char(rho,mom,dir)*time

         call rmWrite(rho,mom,x)
      enddo

      end
