      function st2char(rho,mom,dir)
      implicit none
c 
c     Input:
c         STATE VARIABLES:
c       rho    density
c       mom    momentum
c
c          dir =1 for right-facing wave, =-1 for left-facing wave
c     Output:
c          st2char --- characteristic velocity 
c
      include 'mat_constants.h'  

c     Input:
      real*8 rho,mom
      integer dir
c     Output:
      real*8 st2char
c-----

      st2char = mom/rho + dir*a0
      
      end
