      function st2inv(rho,mom,dir)
      implicit none
c
c     invL = LEFT  going Riemann invarient (along dx/dt=mom/rho-a)
c          = ln(rho)-mom/rho/a
c     invR = RIGHT going Riemann invarient (along dx/dt=mom/rho+a)
c          = ln(rho)+mom/rho/a 
c     dir = +1, inv=invR
c     dir = -1, inv=invL
c
      include 'mat_constants.h'

c     Input:
      real*8 rho,mom
      integer dir
c     Output:
      real*8 st2inv
c-----

      st2inv = dlog(rho)+dir*mom/rho/a0

      end
