      subroutine statesO(rhoA,momA, rhoM,momM, dir,
     &     rho_0,mom_0,w_0,signif_0,wave_type_0)
      implicit none

      include 'wave_constants.h'

c     Input:
      real*8 rhoA,momA, rhoM,momM
      integer dir
c     Output:
      real*8  rho_0(N_STATES),mom_0(N_STATES),w_0(N_EDGES)
      integer signif_0(N_WAVES),wave_type_0(N_WAVES)
c     Auxiliary:
      integer is,iw,ieA,ieB
      integer stIndex, wvIndex
      
c     state ahead:
      is=stIndex(1,dir)
      call st2st(rhoA,momA,rho_0(is),mom_0(is))
c     wave: 
      iw=wvIndex(1,dir)
      ieA=WAVE_TO_EDGE_A(iw)
      ieB=WAVE_TO_EDGE_B(iw)
      call wave(rhoM,momM,rhoA,momA,dir,
     &     w_0(ieB),w_0(ieA),signif_0(iw),wave_type_0(iw))

      end
